Permalink
Browse files

Update travis to run with Rails 3.2-stable, 4.0-stable and master

  • Loading branch information...
1 parent 7141769 commit 380ab682c5208b70913d80b13d15c7619a5ca0d1 @erichkist erichkist committed Dec 10, 2013
View
@@ -8,3 +8,4 @@ rdoc/*
pkg
log
test/tmp/*
+gemfiles/*.lock
View
@@ -7,8 +7,13 @@ env:
- DEVISE_ORM=mongoid
- DEVISE_ORM=active_record
gemfile:
- - gemfiles/Gemfile.rails-3.2.x
+ - gemfiles/Gemfile.rails-head
+ - gemfiles/Gemfile.rails-4.0-stable
+ - gemfiles/Gemfile.rails-3.2-stable
- Gemfile
+matrix:
+ allow_failures:
+ - gemfile: gemfiles/Gemfile.rails-head
services:
- mongodb
notifications:
@@ -2,7 +2,7 @@ source "https://rubygems.org"
gemspec :path => '..'
-gem "rails", "~> 3.2.6"
+gem "rails", github: 'rails/rails', branch: '3-2-stable'
gem "omniauth", "~> 1.0.0"
gem "omniauth-oauth2", "~> 1.0.0"
gem "rdoc"
@@ -1,159 +0,0 @@
-PATH
- remote: ..
- specs:
- devise (3.2.2)
- bcrypt-ruby (~> 3.0)
- orm_adapter (~> 0.1)
- railties (>= 3.2.6, < 5)
- thread_safe (~> 0.1)
- warden (~> 1.2.3)
-
-GEM
- remote: https://rubygems.org/
- specs:
- actionmailer (3.2.14)
- actionpack (= 3.2.14)
- mail (~> 2.5.4)
- actionpack (3.2.14)
- activemodel (= 3.2.14)
- activesupport (= 3.2.14)
- builder (~> 3.0.0)
- erubis (~> 2.7.0)
- journey (~> 1.0.4)
- rack (~> 1.4.5)
- rack-cache (~> 1.2)
- rack-test (~> 0.6.1)
- sprockets (~> 2.2.1)
- activemodel (3.2.14)
- activesupport (= 3.2.14)
- builder (~> 3.0.0)
- activerecord (3.2.14)
- activemodel (= 3.2.14)
- activesupport (= 3.2.14)
- arel (~> 3.0.2)
- tzinfo (~> 0.3.29)
- activeresource (3.2.14)
- activemodel (= 3.2.14)
- activesupport (= 3.2.14)
- activesupport (3.2.14)
- i18n (~> 0.6, >= 0.6.4)
- multi_json (~> 1.0)
- arel (3.0.2)
- atomic (1.1.14)
- bcrypt-ruby (3.1.2)
- builder (3.0.4)
- erubis (2.7.0)
- faraday (0.8.8)
- multipart-post (~> 1.2.0)
- hashie (1.2.0)
- hike (1.2.3)
- httpauth (0.2.0)
- i18n (0.6.5)
- journey (1.0.4)
- json (1.8.0)
- jwt (0.1.8)
- multi_json (>= 1.5)
- mail (2.5.4)
- mime-types (~> 1.16)
- treetop (~> 1.4.8)
- metaclass (0.0.1)
- mime-types (1.23)
- mocha (0.13.3)
- metaclass (~> 0.0.1)
- mongoid (3.1.4)
- activemodel (~> 3.2)
- moped (~> 1.4)
- origin (~> 1.0)
- tzinfo (~> 0.3.22)
- moped (1.5.1)
- multi_json (1.7.9)
- multipart-post (1.2.0)
- nokogiri (1.5.9)
- oauth2 (0.8.1)
- faraday (~> 0.8)
- httpauth (~> 0.1)
- jwt (~> 0.1.4)
- multi_json (~> 1.0)
- rack (~> 1.2)
- omniauth (1.0.3)
- hashie (~> 1.2)
- rack
- omniauth-facebook (1.4.0)
- omniauth-oauth2 (~> 1.0.2)
- omniauth-oauth2 (1.0.3)
- oauth2 (~> 0.8.0)
- omniauth (~> 1.0)
- omniauth-openid (1.0.1)
- omniauth (~> 1.0)
- rack-openid (~> 1.3.1)
- origin (1.1.0)
- orm_adapter (0.4.0)
- polyglot (0.3.3)
- rack (1.4.5)
- rack-cache (1.2)
- rack (>= 0.4)
- rack-openid (1.3.1)
- rack (>= 1.1.0)
- ruby-openid (>= 2.1.8)
- rack-ssl (1.3.3)
- rack
- rack-test (0.6.2)
- rack (>= 1.0)
- rails (3.2.14)
- actionmailer (= 3.2.14)
- actionpack (= 3.2.14)
- activerecord (= 3.2.14)
- activeresource (= 3.2.14)
- activesupport (= 3.2.14)
- bundler (~> 1.0)
- railties (= 3.2.14)
- railties (3.2.14)
- actionpack (= 3.2.14)
- activesupport (= 3.2.14)
- rack-ssl (~> 1.3.2)
- rake (>= 0.8.7)
- rdoc (~> 3.4)
- thor (>= 0.14.6, < 2.0)
- rake (10.1.0)
- rdoc (3.12.2)
- json (~> 1.4)
- ruby-openid (2.2.3)
- sprockets (2.2.2)
- hike (~> 1.2)
- multi_json (~> 1.0)
- rack (~> 1.0)
- tilt (~> 1.1, != 1.3.0)
- sqlite3 (1.3.7)
- thor (0.18.1)
- thread_safe (0.1.3)
- atomic
- tilt (1.4.1)
- treetop (1.4.14)
- polyglot
- polyglot (>= 0.3.1)
- tzinfo (0.3.37)
- warden (1.2.3)
- rack (>= 1.0)
- webrat (0.7.3)
- nokogiri (>= 1.2.0)
- rack (>= 1.0)
- rack-test (>= 0.5.3)
-
-PLATFORMS
- ruby
-
-DEPENDENCIES
- activerecord-jdbc-adapter
- activerecord-jdbcsqlite3-adapter
- devise!
- jruby-openssl
- mocha (~> 0.13.1)
- mongoid (~> 3.0)
- omniauth (~> 1.0.0)
- omniauth-facebook
- omniauth-oauth2 (~> 1.0.0)
- omniauth-openid (~> 1.0.1)
- rails (~> 3.2.6)
- rdoc
- sqlite3
- webrat (= 0.7.3)
@@ -0,0 +1,31 @@
+source "https://rubygems.org"
+
+gemspec :path => '..'
+
+gem "rails", github: 'rails/rails', branch: '4-0-stable'
+gem "omniauth", "~> 1.0.0"
+gem "omniauth-oauth2", "~> 1.0.0"
+gem "rdoc"
+
+group :test do
+ gem "omniauth-facebook"
+ gem "omniauth-openid", "~> 1.0.1"
+ gem "webrat", "0.7.3", :require => false
+ gem "mocha", "~> 0.13.1", :require => false
+end
+
+platforms :jruby do
+ gem "activerecord-jdbc-adapter"
+ gem "activerecord-jdbcsqlite3-adapter"
+ gem "jruby-openssl"
+end
+
+platforms :ruby do
+ gem "sqlite3"
+end
+
+platforms :mri_19, :mri_20 do
+ group :mongoid do
+ gem "mongoid", github: "mongoid/mongoid", branch: "master"
+ end
+end
@@ -0,0 +1,31 @@
+source "https://rubygems.org"
+
+gemspec :path => '..'
+
+gem "rails", github: 'rails/rails'
+gem "omniauth", "~> 1.0.0"
+gem "omniauth-oauth2", "~> 1.0.0"
+gem "rdoc"
+
+group :test do
+ gem "omniauth-facebook"
+ gem "omniauth-openid", "~> 1.0.1"
+ gem "webrat", "0.7.3", :require => false
+ gem "mocha", "~> 0.13.1", :require => false
+end
+
+platforms :jruby do
+ gem "activerecord-jdbc-adapter"
+ gem "activerecord-jdbcsqlite3-adapter"
+ gem "jruby-openssl"
+end
+
+platforms :ruby do
+ gem "sqlite3"
+end
+
+platforms :mri_19, :mri_20 do
+ group :mongoid do
+ gem "mongoid", github: "mongoid/mongoid", branch: "master"
+ end
+end

0 comments on commit 380ab68

Please sign in to comment.